Bug 93514 - Non free cs_CZ (Czech) thesaurus dictionary
Summary: Non free cs_CZ (Czech) thesaurus dictionary
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium major
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-18 15:05 CEST by Mattia Rizzolo
Modified: 2016-02-25 13:54 CET (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mattia Rizzolo 2015-08-18 15:05:44 CEST
dictionaries/cs_CZ/th_cs_CZ_v3.dat

This file is non free, according to the attached readme:

Thesaurus
----------

Copyright (c) 1994,2008 Karel Pala, Jan Všianský
pala@fi.muni.cz

You can freely use the thesaurus in OpenOffice.org (or its derivatives).
You can not modify it or use for commercial purposes without the author's
approval.




Please remove the file.
Comment 1 tommy27 2015-08-18 15:49:37 CEST
@Sophie
would you please ping the Czech localization team to take a look at this?
Comment 2 sophie 2015-08-18 15:50:44 CEST
Yes, will do :) Sophie
Comment 3 Michael Meeks 2015-08-19 10:29:50 CEST
Kendy - can you poke me about this as/when you get back from vacation =)
Comment 4 Stanislav Horacek 2015-08-19 18:59:22 CEST
I've contacted Karel Pala about this, let's wait for his response.
Comment 5 Stanislav Horacek 2015-08-20 08:59:47 CEST
What license should the thesaurus have? Would CC BY-NC be OK?
Comment 6 Michael Meeks 2015-08-20 09:36:00 CEST
Awesome - thanks for that Stanislav. Really our ideal is to use a uniform license for all the code & data - say MPLv2, exceptions are costly - but if that's a big issue then CC-BY-SA is good. The 'NC' thing is ... unhelpful and the main problem AFAICS. Thanks !
Comment 7 Rene Engelhard 2015-08-20 09:56:52 CEST
yes, the NC part "non-commercial" is the exact point why this bug report was opened in the first place and this thing is non-free.

See http://opensource.org/osd-annotated, point 6
Comment 8 Mattia Rizzolo 2015-08-20 10:37:43 CEST
(In reply to Stanislav Horacek from comment #5)
> What license should the thesaurus have? Would CC BY-NC be OK?

CC-BY-NC is not correct at all as somebody else already pointed out, CC-BY-SA would be ok, or MPL or whatever.

Just you can't unilaterally change the license without an agreement from the copyright holders, namely Karel Pala, Jan Všianský. From the way the readme is written both holds a copyright on that file so both has to agree about it.
From my point of view I would be ok if they state this on this bug report, so that this can be somewhat (even if not deeply) verified.


btw, also the "You can freely use the thesaurus in OpenOffice.org (or its derivatives)" is unclear whether it allows using of that file outside of this set of programs, so please always try to use a well known and proof-read from a legal POV license.
Comment 9 Stanislav Horacek 2015-08-24 13:37:56 CEST
According to authors of the thesaurus, it cannot be released without the non-commercial condition - so please remove the file.

I suppose that the thesaurus can be still released and used as a non-free extension, but it cannot be published in the official repository at extensions.libreoffice.org. Am I right?
Comment 10 Norbert Thiebaud 2015-08-25 12:37:54 CEST
(In reply to Rene Engelhard from comment #7)
> yes, the NC part "non-commercial" is the exact point why this bug report was
> opened in the first place and this thing is non-free.
> 
> See http://opensource.org/osd-annotated, point 6

"You can not modify it or use for commercial purposes without the author's
approval."

can be read
You (can not modify it) or (use for commercial purposes) without the author's
approval.
in fact it must be read that way as the other way:

You can not (modify it or use) for commercial purposes without the author's
approval.

Does not make sens.. if you 'can not use it' for commercial purpose, surely you cannot 'modify it' for commercial purpose either.


which makes it double non-free, cf point 3.
Comment 11 sophie 2015-09-08 15:21:19 CEST
This issue is now solved, file has been removed - so closing it - Sophie
Comment 12 Mattia Rizzolo 2015-09-08 17:38:12 CEST
Haven't checked, but just wanting to "provide" an hint if it got forgotten: did you also edit the README to remove the relative paragraph?
Comment 13 Adolfo Jayme 2015-09-08 22:49:00 CEST
For the record, this was the commit that removed it: http://cgit.freedesktop.org/libreoffice/dictionaries/commit/?id=03a4a7b13f28c2c8df08cf6d5049fde97d6b4244
Comment 14 Mattia Rizzolo 2015-09-09 05:34:06 CEST
Oh, great.
That's a thorough commit.

Thanks again for caring!
Comment 15 Jan Holesovsky 2016-02-25 13:54:06 CET
Just for the record, I've created a new Czech thesaurus, and pushed to the repository.  It is generated, but scripting gave surprisingly good results; also annoying cases can be blacklisted.  It is completely unrelated to the previous thesaurus that was removed.

The license of the source data is GNU/FDL 1.1 or later, so the resulting thesaurus is GNU/FDL 1.1 or later too.

The commit:

https://cgit.freedesktop.org/libreoffice/dictionaries/commit/?id=bd5a09adea33acfe9164f26a3061ae1152933438